package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.ScoringRulesParam;
import api.common.pojo.po.scene.ScoringRulesPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;


@Mapper
@Repository
public interface ScoringRulesMapper {

    void saveScoringRules(ScoringRulesPO params);

    ScoringRulesPO queryScoringRulesByRuleName(ScoringRulesParam params);

    ScoringRulesPO querySelfOnly(@Param("ruleName") String ruleName, @Param("createUserId") String createUserId);

    List<ScoringRulesPO> queryScoringRulesList(ScoringRulesParam params);

    Integer queryCsbById(ScoringRulesParam params);

    ScoringRulesPO queryScoringRules(ScoringRulesParam params);

    void updateScoringRules(ScoringRulesPO params);

    void deleteScoringRules(ScoringRulesPO params);

    @Select("select rules_id\n" +
            "from scoring_rules\n" +
            "where is_deleted = '1'\n" +
            "  and rules_id in (select rules_id from scene_package_sublist where root_id = #{packageId})")
    List<String> selectDeletedRulesByPackageId(@Param("packageId") String scenePackageId);
}
